
#	@(#) Makefile 1.27 91/05/10 

SSPKGHOME = 	.
DESTDIR =	/home2/install
TARFILE =	/home2/tmp/sspkgs-tar

LIBDIR =	$(SSPKGHOME)/lib
INCLUDEDIR = 	$(SSPKGHOME)/include/sspkg

.PRECIOUS: $(LIBDIR) $(INCLUDEDIR) examples

all: subdirs

subdirs: $(INCLUDEDIR) $(LIBDIR) examples

$(INCLUDEDIR): FORCE
	cd $@; $(MAKE) $(MFLAGS)

$(LIBDIR): FORCE
	cd $@; $(MAKE) $(MFLAGS)

examples: FORCE
	cd $@; $(MAKE) $(MFLAGS)

FORCE:

clean:
	-sccs clean
	-(cd $(INCLUDEDIR); $(MAKE) clean)
	-(cd $(LIBDIR); $(MAKE) clean)
	-(cd examples; $(MAKE) clean)
	-(cd doc; sccs clean)

install: $(DESTDIR) FORCE
	(cd $(INCLUDEDIR); $(MAKE) install DESTDIR=$(DESTDIR))
	(cd $(LIBDIR); $(MAKE) install DESTDIR=$(DESTDIR))


$(DESTDIR): FORCE
	-mkdir $(DESTDIR)
	-mkdir -p $(DESTDIR)/include/sspkg
	-mkdir $(DESTDIR)/lib

tarfile: FORCE README LEGAL_NOTICE examples/README doc/Attribute_list doc/Slingshot_packages.doc examples/things
	$(RM) $(TARFILE)
	(cd ..; find ./sspkg -name SCCS -print > /tmp/excludelist)
	(cd ..; find ./sspkg -name lex.yy.c -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name libsspkg.a -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name .make.state -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name .nse_depinfo -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name example1 -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name example2 -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name example3 -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name drawarea_demo -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name line_demo -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name puzzle_demo -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name tlstool -print >> /tmp/excludelist)
	(cd ..; find ./sspkg -name treetool -print >> /tmp/excludelist)
	(echo ./sspkg/test >> /tmp/excludelist)
	(cd ..; tar cvfXFF $(TARFILE) /tmp/excludelist ./sspkg)
	$(RM) /tmp/excludelist
	(cd `dirname $(TARFILE)`; tar xf $(TARFILE); makekit `find sspkg -print`)

