 
#       @(#) Makefile 1.21 91/05/10 

SSPKGHOME	= ..

LIBDIR		= $(OPENWINHOME)/lib
LIBS		= -lxview -lolgx -lX11
SSPKGLIB	= $(SSPKGHOME)/lib/libsspkg.a


#DBXFLAGS	= 
DBXFLAGS	=  -g 
CFLAGS		= $(DBXFLAGS) -I$(SSPKGHOME)/include -I$(OPENWINHOME)/include 
LDFLAGS		= -L$(LIBDIR) $(LIBS) $(SSPKGLIB) -lm

all: treetool tlstool example1 example2 example3 line_demo darea_demo puzzdemo

lex.yy.c: treetool.l
	lex treetool.l

lex.yy.o: lex.yy.c

treetool: lex.yy.o $(SSPKGLIB)
	cc -o $@ lex.yy.o $(LDFLAGS)

tlstool: tlstool.o $(SSPKGLIB)
	cc -o $@ tlstool.o $(LDFLAGS)

example1: example1.o $(SSPKGLIB)
	cc -o $@ example1.o $(LDFLAGS)

example2: example2.o $(SSPKGLIB)
	cc -o $@ example2.o $(LDFLAGS)
	
example3.o: example3.c icons/smiley.icon icons/frown.icon icons/amper.icon

example3: example3.o $(SSPKGLIB)
	cc -o $@ example3.o $(LDFLAGS)

line_demo: line_demo.o $(SSPKGLIB)
	cc -o $@ line_demo.o $(LDFLAGS)

darea_demo.o: darea_demo.c icons/banana.icon icons/ban_mask.icon

darea_demo: darea_demo.o $(SSPKGLIB)
	cc -o $@ darea_demo.o $(LDFLAGS)

puzzdemo.o: puzzdemo.c icons/puzzd.icon \
	icons/bullyicon.aa icons/bullyicon.ab icons/bullyicon.ac \
	icons/bullyicon.ad icons/bullyicon.ae icons/bullyicon.af

puzzdemo: puzzdemo.o $(SSPKGLIB)
	cc -o $@ puzzdemo.o $(LDFLAGS)

$(SSPKGLIB):
	(cd `dirname $(SSPKGLIB)`; make)

clean:
	-sccs clean
	rm -f *.o lex.yy.c treetool tlstool example1 example2 example3 line_demo darea_demo puzzdemo tags .make.state .nse_depinfo
	-(cd icons; sccs clean)

