/*
 *	(c) Copyright 1991 Sun Microsystems, Inc.  All rights reserved.
 *	See LEGAL_NOTICE file for terms and restrictions.
 */

#ifndef lint
#ifdef sccs
static char sccsid[] = "@(#)grip_data.c 1.6 91/05/06";
#endif
#endif

#include <X11/X.h>
#include <sspkg/grip.h>
#include "grip_impl.h"

Pkg_private int 	grip_init();
Pkg_private Xv_opaque	grip_set_avlist();
Pkg_private Xv_opaque	grip_get_attr();
Pkg_private int 	grip_destroy();

Xv_pkg grip_pkg = {
	"Grip", 
	ATTR_GRIP,
	sizeof(Grip_struct),
	&drawimage_pkg,
	grip_init,
	grip_set_avlist,
	grip_get_attr,
	grip_destroy,
	NULL
};
