
#       @(#) Makefile 1.41 91/05/10 

SSPKGHOME	= ..
LIBRARY		= $(SSPKGHOME)/lib/libsspkg.a
DESTDIR		= ..

.PRECIOUS:	$(LIBRARY)
# .KEEP_STATE:

INCDIR		= $(SSPKGHOME)/include/sspkg
PRIVATEINCDIR	= $(SSPKGHOME)/lib
CFLAGS 		= 
#CFLAGS		= -g
CPPFLAGS	= -I$(SSPKGHOME)/include -I$(PRIVATEINCDIR) -I$(OPENWINHOME)/include


INCLUDES =	$(INCDIR)/array.h	\
		$(INCDIR)/canshell.h	\
		$(INCDIR)/drawobj.h 	\
		$(INCDIR)/grip.h 	\
		$(INCDIR)/list.h	\
		$(INCDIR)/rectobj.h	\
		$(INCDIR)/tree.h


PRIVATE_INCLUDES =	\
		$(PRIVATEINCDIR)/array_impl.h	\
		$(PRIVATEINCDIR)/canshell_impl.h\
		$(PRIVATEINCDIR)/drawarea.h	\
		$(PRIVATEINCDIR)/do_impl.h	\
		$(PRIVATEINCDIR)/grip_impl.h	\
		$(PRIVATEINCDIR)/r_impl.h	\
		$(PRIVATEINCDIR)/sh_info.h	\
		$(PRIVATEINCDIR)/tree_impl.h 	\
		$(PRIVATEINCDIR)/grip.xbm
		


LIBSOURCES = 	canshell.c cansh_d.c cansh_eve.c  \
		rectobj.c robj_d.c  \
		drawrect.c drawline.c drawimage.c drawtext.c drawicon.c\
		drawarea.c dlist.c r_reg.c\
		dobj_d.c \
		tree.c tree_data.c \
		array.c array_data.c \
		grip.c grip_data.c \
		selection.c \
		list.c dbl_click.c bkg_event.c \
		drag.c util.c


all: $(LIBRARY)

$(LIBSOURCES): $(PRIVATE_INCLUDES) $(INCLUDES)

$(LIBRARY):	$(LIBSOURCES:.c=.o)
		ar rv $@ $?
		-ranlib $@

install: $(LIBRARY) FORCE
	cp $(LIBRARY) $(DESTDIR)/lib


clean:
	-sccs clean
	rm -f *.o $(LIBRARY) tags TAGS .make.state .nse_depinfo

tags:
		ctags $(LIBSOURCES)

FORCE:

